Package org.eclipse.m2m.atl.engine.vm

## Class ACTInterpreter.Query

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ACTInterpreter.Query

Enclosing class:
  ACTInterpreter

    protected class ACTInterpreter.Query
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `asm`
`java.lang.String` `charset`
`java.lang.String` `debug`
`java.util.List` `librarys`
`java.util.List` `models`
`java.util.List` `withParams`
`java.lang.String` `writeTo`

### Constructor Summary

Constructors
`Query()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### asm

    public java.lang.String asm

#### debug

    public java.lang.String debug

#### writeTo

    public java.lang.String writeTo

#### charset

    public java.lang.String charset

#### models

    public java.util.List models

#### librarys

    public java.util.List librarys

#### withParams

    public java.util.List withParams

### Constructor Detail

#### Query

    public Query()